
- name: Install the prerequisite packages for the MOTD scripts.
  ansible.builtin.apt:
    name: "{{ item }}"
    state: latest
    update_cache: yes
  with_items:
    - lsb-release
    - fortunes
  when: ansible_os_family == 'Debian'

- name: Install the prerequisite packages for the MOTD scripts.
  ansible.builtin.package:
    name: epel-release
    state: present
  when: ansible_os_family == 'RedHat'

- name: Install the prerequisite packages for the MOTD scripts.
  ansible.builtin.package:
    name: "{{ item }}"
    state: present
  with_items:
    - figlet
    - jq

- name: Add figlet font to OS.
  ansible.builtin.get_url:
    url: "http://www.figlet.org/fonts/{{ MOTD_WELCOME_FONT }}.flf"
    dest: /opt/
    mode: 0644

- name: Template motd file.
  ansible.builtin.template:
    src: "etc/profile.d/motd.sh"
    dest: /etc/profile.d/motd.sh
    mode: 0755
    owner: root
    group: root
